.modal {
  &__scroll {
    width: 90%;
    max-height: 90vh;
    margin: 0 auto;
    overflow-y: auto;
  }

  &__edit {
    position: relative;
    background-color: #fff;
    max-height: 90vh;
    //overflow-y: auto;
    border-radius: 10px;
    padding-bottom: 50px;

    .modal__close {
      position: absolute;
      top: 20px;
      right: 20px;
    }

    .modal__title {
      text-align: center;
    }

    .field-select, .field-wrapper {
      margin: 30px auto;
    }

    //.sign-form__btn {
    //  display: inline-block;
    //  margin: 0 auto;
    //}

  }

}

.modal__wide {
  width: 800px;

}

.field-select {
  display: flex;
  flex-direction: row;
  justify-content: start;
  width: 500px;

  &_row {
    //align-items: center;
  }

  &__name {
    width: 100px;
    font-family: Lato, sans-serif;
    font-weight: 400;
    color: rgb(42, 42, 42);
    font-size: 20px;
  }

  &__items {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    //justify-content: start;
  }

  &__item {
    display: inline-block;
    width: 90px;
    height: 30px;
    border: 1px solid rgba(42, 42, 42, 0.5);
    text-align: center;
    line-height: 30px;
    vertical-align: center;
    font-family: Lato, sans-serif;
    font-weight: 400;
    color: rgba(42, 42, 42, 0.5);
    font-size: 20px;
    cursor: pointer;

    label {
      cursor: pointer;
    }

    &:first-of-type {
      border-top-left-radius: 5px;
      border-bottom-left-radius: 5px;
    }

    &:last-of-type {
      border-top-right-radius: 5px;
      border-bottom-right-radius: 5px;
    }

  }

}

input[name="type"]:checked + div.field-select__item {
  background-color: rgba(42, 42, 42, 0.5);
  color: #ffffff;

}

.field-text {
  width: 500px;
  //height: 400px;
  margin: 0 auto;
  div {
    margin: 0 auto;
  }
}

.field-category {
  &__items {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 370px;
  }

  &__item {
    position: relative;
    height: 30px;
    width: 100px;
    box-sizing: border-box;
    padding-left: 25px;
    line-height: 30px;
    vertical-align: center;
    color: rgba(42, 42, 42, 0.5);
    font-size: 24px;
    cursor: pointer;

    &::before {
      content: "";
      position: absolute;
      top: 4px;
      left: 0;
      display: inline-block;
      width: 20px;
      height: 20px;
      background-image: url("/img/checkbox.png");
      background-repeat: no-repeat;
      background-size: cover;
    }

  }

}

input[name="subType"]:checked + .field-category__item::after {
  content: "";
  position: absolute;
  top: 4px;
  left: 0;
  display: inline-block;
  width: 20px;
  height: 20px;
  background-image: url("/img/checked.png");
  background-repeat: no-repeat;
  background-size: cover;
  z-index: 1;
}

.field-wrapper_big,
.sign-form__input_big {
  width: 500px;
}

.text-align {
  text-align: center;
}

.addnew-error {
  color: red;
}